%global modulename source-map-resolve

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-source-map-resolve
Version:        0.5.2
Release:        1%{?dist}
Summary:        Resolve the source map and/or sources for a generated file.

License:        MIT
URL:            https://github.com/lydell/source-map-resolve#readme
Source0:        https://registry.npmjs.org/source-map-resolve/-/source-map-resolve-0.5.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(atob) >= 2.1.1 with npmlib(atob) < 3.0.0))
BuildRequires:  ((npmlib(decode-uri-component) >= 0.2.0 with npmlib(decode-uri-component) < 0.3.0))
BuildRequires:  ((npmlib(resolve-url) >= 0.2.1 with npmlib(resolve-url) < 0.3.0))
BuildRequires:  ((npmlib(source-map-url) >= 0.4.0 with npmlib(source-map-url) < 0.5.0))
BuildRequires:  ((npmlib(urix) >= 0.1.0 with npmlib(urix) < 0.2.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Resolve the source map and/or sources for a generated file.

%package 0.5.2
Summary:        Resolve the source map and/or sources for a generated file.


%description 0.5.2
Resolve the source map and/or sources for a generated file.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bower.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr component.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr generate-source-map-resolve.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr source-map-resolve.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr source-map-resolve.js.template %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr x-package.json5 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc changelog.md
%doc readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.5.2
%doc changelog.md
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 0.5.2-1
- Package automatically generated by npm2srpm
